Summary: A tool for creating scanners (text pattern recognizers)
Name: flex
Version: 2.5.35
Release: 1
License: BSD
Group: Development/Tools
URL: http://flex.sourceforge.net/
Source0: %{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gettext m4
Requires: /sbin/install-info, info, gettext

%description
The flex program generates scanners.  Scanners are programs which can
recognize lexical patterns in text.  Flex takes pairs of regular
expressions and C code as input and generates a C source file as
output.  The output file is compiled and linked with a library to
produce an executable.  The executable searches through its input for
occurrences of the regular expressions.  When a match is found, it
executes the corresponding C code.  Flex was designed to work with
both Yacc and Bison, and is used by many programs as part of their
build process.

You should install flex if you are going to use your system for
application development.


%prep
%setup -q
%patch0


%build
export PATH=/opt/freeware/bin:$PATH
export CC=xlc
./configure \
    --prefix=%{_prefix}
make %{?_smp_mflags}


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/%{name}.info*
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

(
  cd ${RPM_BUILD_ROOT}
  ln -sf flex .%{_bindir}/lex
  ln -sf flex .%{_bindir}/flex++
  ln -s flex.1 .%{_mandir}/man1/lex.1
  ln -s flex.1 .%{_mandir}/man1/flex++.1
  ln -s libfl.a .%{_libdir}/libl.a
 
  for dir in usr/bin usr/lib usr/include usr/linux/bin usr/linux/lib
  do
    mkdir -p $dir
  done

  cd usr/linux/bin
  ln -sf ../../..%{_bindir}/flex lex
  cd ../lib
  ln -sf ../../..%{_libdir}/libfl.a libl.a
  cd ../../bin
  ln -sf ../..%{_bindir}/flex .
  ln -sf ../..%{_bindir}/flex++ .
  cd ../include
  ln -sf ../..%{_includedir}/* .
  cd ../lib
  ln -sf ../..%{_libdir}/libfl.a .
)


%post
/sbin/install-info %{_infodir}/flex.info.gz --dir-file=%{_infodir}/dir ||:


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir ||:
fi


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,system)
%doc COPYING NEWS README
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/*
%{_includedir}/*
%{_infodir}/*
%{_datadir}/locale/*
/usr/bin/*
/usr/lib/*
/usr/include/*
/usr/linux/bin/*
/usr/linux/lib/*


%changelog
* Thu Mar 27 2008 Michael Perzl <michael@perzl.org> - 2.5.35-1
- first version for AIX V5.1 and higher
